/* $Header: /san01/cvs/ashpool/csrc/modsite/Attic/site.h,v 1.18 2004/06/22 14:31:28 aleigh Exp $ */

/* Copyright (c) 1994, 2001 Alex Leigh, All Rights Reserved
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ALEX LEIGH
 * The copyright notice above does not evidence any
 * actual or intended publication of such source code.
 *
 * Disclosure, copying, distribution, or transmission of
 * this code without express permission is prohibited.
 */

#ifndef SITE_H
#define SITE_H

#include "continuity.h"
#include "mecha.h"
#include "http.h"


#ifdef __cplusplus
extern "C" {
#endif

/* Handlers */
int siteFinit(void *p, const lstTset *opts); 
int siteFset_siteid(httpTtrans *t, lstTset *opts);
int siteFset_userdir(httpTtrans *t, lstTset *opts);
int siteFfind_index(httpTtrans * t, lstTset * opt);
int siteFfind_mimetype(httpTtrans * t, lstTset * opt);
int siteFset_mimetype(httpTtrans * t, lstTset * opt);
int siteFsend_file (httpTtrans * t, lstTset * opt);
int siteFaccess_log(httpTtrans * t, lstTset *opts);
int siteFip_restrict(httpTtrans *t, lstTset *opts);
int siteFset_setup_path (httpTtrans * t, lstTset * opt);
int siteFset_path_info (httpTtrans * t, lstTset * opt);
int siteFredirects(httpTtrans *t, lstTset *opt);

int siteFsite_data_set(const char *siteid, const char *name, void *data);
void *siteFsite_data_get(const char *siteid, const char *name);

const xmlTtag *siteFconfig_get_by_siteid (const char *siteid);

const char *siteFoption_get(const char *siteid, const char *name);
int siteFoption_set(const char *siteid, const char *name, const char *data);
int siteFredirect(httpTtrans *t, const char *target);

/* depricated */
int siteFset_pathinfo(httpTtrans *t, lstTset *opts);
int siteFset_path_translated(httpTtrans *t, lstTset *opts);

#ifdef __cplusplus
}
#endif

#endif
